Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
Class DOMBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.DOMBuilder

All Implemented Interfaces:
  GroovyObject

    public class DOMBuilder

extends BuilderSupport

A helper class for creating a W3C DOM tree

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`DOMBuilder(Document document)`
`DOMBuilder(DocumentBuilder documentBuilder)`

Method Summary
`protected void` | `appendNamespaceAttributes(Element element, Map attributes)`
`protected Document` | `createDocument()`
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected Object` | `createNode(Object name, Map attributes, Object value)`
`protected Object` | `createNode(Object name, Object value)`
`static DOMBuilder` | `newInstance()`
`static DOMBuilder` | `newInstance(boolean validating, boolean namespaceAware)`
`static Document` | `parse(Reader reader)`
`static Document` | `parse(Reader reader, boolean validating, boolean namespaceAware)`
`protected void` | `setParent(Object parent, Object child)`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMBuilder

    public DOMBuilder(Document document)

### DOMBuilder

    public DOMBuilder(DocumentBuilder documentBuilder)

Method Detail

### newInstance

    public static DOMBuilder newInstance()
                                  throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### newInstance

    public static DOMBuilder newInstance(boolean validating,
                                         boolean namespaceAware)
                                  throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### parse

    public static Document parse(Reader reader)
                          throws SAXException,
                                 IOException,
                                 ParserConfigurationException

  Throws:
    `SAXException`
    `IOException`
    `ParserConfigurationException`

### parse

    public static Document parse(Reader reader,
                                 boolean validating,
                                 boolean namespaceAware)
                          throws SAXException,
                                 IOException,
                                 ParserConfigurationException

  Throws:
    `SAXException`
    `IOException`
    `ParserConfigurationException`

### setParent

    protected void setParent(Object parent,
                             Object child)

  Specified by:
    `setParent` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name)

  Specified by:
    `createNode` in class `BuilderSupport`

### createDocument

    protected Document createDocument()

### createNode

    protected Object createNode(Object name,
                                Object value)

  Specified by:
    `createNode` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes,
                                Object value)

  Specified by:
    `createNode` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes)

  Specified by:
    `createNode` in class `BuilderSupport`

### appendNamespaceAttributes

    protected void appendNamespaceAttributes(Element element,
                                             Map attributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD